summaryrefslogtreecommitdiff
path: root/resources/scripts/download/flashrom
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2021-05-18 13:56:12 +0100
committerLeah Rowe <leah@libreboot.org>2021-05-18 13:56:12 +0100
commit89517ed6b9e89321e1387ed8f534d7f080ffdf57 (patch)
tree6f2085cb89b035d3cb62ad49b470a514672102d6 /resources/scripts/download/flashrom
libreboot!
this is forked from the "libre" branch in osboot, which is itself a libre, deblobbed fork of osboot, a blobbed up fork of libreboot libreboot needed to be purged clean. this is the new libreboot development repository. the old one has been abandoned
Diffstat (limited to 'resources/scripts/download/flashrom')
-rwxr-xr-xresources/scripts/download/flashrom51
1 files changed, 51 insertions, 0 deletions
diff --git a/resources/scripts/download/flashrom b/resources/scripts/download/flashrom
new file mode 100755
index 00000000..66afe585
--- /dev/null
+++ b/resources/scripts/download/flashrom
@@ -0,0 +1,51 @@
+#!/bin/bash
+
+# helper script: downloads flashrom and patches it
+#
+# Copyright (C) 2014, 2015, 2020, 2021 Leah Rowe <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+# Get flashrom at the last previously tested revision
+
+# Remove the old version that may still exist:
+# ------------------------------------------------------------------------------
+
+printf "Downloading flashrom\n"
+
+rm -Rf "flashrom/"
+
+# Get flashrom
+# ------------------------------------------------------------------------------
+
+# download it using git
+git clone https://review.coreboot.org/flashrom.git
+
+if [ ! -d "flashrom" ]; then
+ printf "flashrom not downloaded; check network connection?\n\n"
+ exit 1
+fi
+
+(
+cd "flashrom/"
+
+# reset to known revision
+git reset --hard v1.2
+)
+
+printf "\n\n"